Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2534023002: Create a DataUseRecorder instance for each page load in Chrome. (Closed)

Created:
3 years, 8 months ago by Not at Google. Contact bengr
Modified:
3 years, 8 months ago
Reviewers:
RyanSturm
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Create a DataUseRecorder instance for each page load in Chrome. Map each URLRequest originating from a frame to its DataUseRecorder. Create a new DataUseRecorder for each URLRequest from Chrome services. Move DataUseRecorders from pending navigation map to render frame map when navigation commits. BUG=663532 Committed: https://crrev.com/f1a0d5d8b91d0168d3a978f006758bfe2c9888b9 Cr-Commit-Position: refs/heads/master@{#435544}

Patch Set 1 #

Patch Set 2 : Remove debug logs #

Total comments: 28

Patch Set 3 : Fix signature in test #

Patch Set 4 : Ignore PlzNavigate #

Patch Set 5 : Addressed comments #

Total comments: 2

Patch Set 6 : Use emplace to insert; remove copy constructor #

Unified diffs Side-by-side diffs Delta from patch set Stats (+521 lines, -133 lines) Patch
M chrome/browser/BUILD.gn View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/data_use_measurement/chrome_data_use_ascriber.h View 1 2 3 4 5 chunks +19 lines, -18 lines 0 comments Download
M chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc View 1 2 3 4 5 8 chunks +261 lines, -38 lines 0 comments Download
M chrome/browser/data_use_measurement/chrome_data_use_ascriber_service.h View 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/data_use_measurement/chrome_data_use_ascriber_service.cc View 2 chunks +0 lines, -22 lines 0 comments Download
A chrome/browser/data_use_measurement/chrome_data_use_ascriber_unittest.cc View 1 2 3 4 1 chunk +102 lines, -0 lines 0 comments Download
A chrome/browser/data_use_measurement/chrome_data_use_recorder.h View 1 2 3 4 5 1 chunk +51 lines, -0 lines 0 comments Download
A chrome/browser/data_use_measurement/chrome_data_use_recorder.cc View 5 1 chunk +13 lines, -0 lines 0 comments Download
M chrome/browser/data_use_measurement/data_use_web_contents_observer.h View 1 chunk +0 lines, -3 lines 0 comments Download
M chrome/browser/data_use_measurement/data_use_web_contents_observer.cc View 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M components/data_use_measurement/core/data_use.h View 1 2 3 4 2 chunks +1 line, -2 lines 0 comments Download
M components/data_use_measurement/core/data_use.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M components/data_use_measurement/core/data_use_ascriber.h View 1 2 3 4 1 chunk +9 lines, -11 lines 0 comments Download
M components/data_use_measurement/core/data_use_ascriber.cc View 1 chunk +7 lines, -8 lines 0 comments Download
M components/data_use_measurement/core/data_use_network_delegate.cc View 2 chunks +5 lines, -6 lines 0 comments Download
M components/data_use_measurement/core/data_use_network_delegate_unittest.cc View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M components/data_use_measurement/core/data_use_recorder.h View 1 2 3 4 5 3 chunks +31 lines, -11 lines 0 comments Download
M components/data_use_measurement/core/data_use_recorder.cc View 1 2 3 4 5 4 chunks +13 lines, -3 lines 0 comments Download

Messages

Total messages: 37 (29 generated)
Not at Google. Contact bengr
PTAL. Yet to add more tests.
3 years, 8 months ago (2016-11-28 23:31:11 UTC) #5
RyanSturm
https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc File chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc (right): https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc#newcode50 chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc:50: return entry == data_use_recorders_.end() ? nullptr : (*entry).get(); nit: ...
3 years, 8 months ago (2016-11-29 20:33:00 UTC) #14
Not at Google. Contact bengr
https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc File chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc (right): https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc#newcode50 chrome/browser/data_use_measurement/chrome_data_use_ascriber.cc:50: return entry == data_use_recorders_.end() ? nullptr : (*entry).get(); On ...
3 years, 8 months ago (2016-11-30 00:21:16 UTC) #21
RyanSturm
lgtm % comment https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.h File chrome/browser/data_use_measurement/chrome_data_use_ascriber.h (right): https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.h#newcode142 chrome/browser/data_use_measurement/chrome_data_use_ascriber.h:142: std::list<std::unique_ptr<ChromeDataUseRecorder>> data_use_recorders_; I think it improves ...
3 years, 8 months ago (2016-12-01 00:40:46 UTC) #24
Not at Google. Contact bengr
https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.h File chrome/browser/data_use_measurement/chrome_data_use_ascriber.h (right): https://codereview.chromium.org/2534023002/diff/20001/chrome/browser/data_use_measurement/chrome_data_use_ascriber.h#newcode142 chrome/browser/data_use_measurement/chrome_data_use_ascriber.h:142: std::list<std::unique_ptr<ChromeDataUseRecorder>> data_use_recorders_; On 2016/12/01 00:40:46, Ryan Sturm wrote: > ...
3 years, 8 months ago (2016-12-01 01:23:39 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2534023002/100001
3 years, 8 months ago (2016-12-01 01:47:06 UTC) #32
commit-bot: I haz the power
Committed patchset #6 (id:100001)
3 years, 8 months ago (2016-12-01 03:22:15 UTC) #35
commit-bot: I haz the power
3 years, 8 months ago (2016-12-01 03:24:51 UTC) #37
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/f1a0d5d8b91d0168d3a978f006758bfe2c9888b9
Cr-Commit-Position: refs/heads/master@{#435544}

Powered by Google App Engine
This is Rietveld 408576698